﻿using System;
using System.Windows.Controls;

namespace TestProject
{
    /// <summary>
    /// 타입 트리 뷰 항목
    /// </summary>
    public class TypeTreeViewItem : TreeViewItem
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 타입
        /// </summary>
        private Type type;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 타입 - Type

        /// <summary>
        /// 타입
        /// </summary>
        public Type Type
        {
            set
            {
                this.type = value;

                if(this.type.IsAbstract)
                {
                    Header = this.type.Name + " (abstract)";
                }
                else
                {
                    Header = this.type.Name;
                }
            }
            get
            {
                return this.type;
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - TypeTreeViewItem()

        /// <summary>
        /// 생성자
        /// </summary>
        public TypeTreeViewItem()
        {
        }

        #endregion
        #region 생성자 - TypeTreeViewItem(type)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="type">타입</param>
        public TypeTreeViewItem(Type type)
        {
            Type = type;
        }

        #endregion
    }
}